#!/bin/bash

# If file with <CMT> is in the database as <CMT>_<LABEL> in the database 
# in question will copy file from database to the CMTDIR, which is used
# for submission.
# If file cannot be located, will output CMT ID.

# From here (directory)
DATABASE=$1 

# To here (directory)
CMTDIR=$2

# These IDs (directory)
CMTSOLUTIONS=$3

# With this Label (string)
LABEL=$4


for cmt in $(ls $CMTSOLUTIONS)
do
    icmtfile="${DATABASE}/${cmt}/${cmt}_${LABEL}"
    fcmtfile="${CMTDIR}/${cmt}_${LABEL}"

    if [ -e  "$icmtfile" ]
    then
	cp "${icmtfile}" "${fcmtfile}"
    else       
	echo "${cmt}"
    fi

done
