import os
from lwsspy.seismo import CMTCatalog



def catalog_writer(cmtlistfile: str, outfile: str):

    # Read file of cmtfiles
    with open(cmtlistfile, 'r') as f:
        cmtfiles = f.read().splitlines()

    # Create Catalog 
    cat = CMTCatalog.from_file_list(cmtfiles)
    cat.save(outfile)
    

if __name__ == "__main__":

    maindir='/gpfs/alpine/geo111/scratch/lsawade/stats/filelists'
    outdir='/gpfs/alpine/geo111/scratch/lsawade/stats/catalogs'

    if os.path.exists(outdir) is False:
        os.makedirs(outdir)

    for label in ['gcmt', 'gcmt3d', 'gcmt3d_fix', 'gcmt3d+', 'gcmt3d+_fix']:

        print(f'Writing {label.upper()} ...', end='\r')
        # Write GCMT catalog
        catalog_writer(
            os.path.join(maindir, f"{label}.files"),
            os.path.join(outdir, f"{label}.pkl")
        )
        print('                                    ', end='\r')
        print(f'Done {label.upper()}.')

