#!/bin/bash

INVDIR=/ccs/home/lsawade/SI_depth_final
DATABASE=/gpfs/alpine/geo111/scratch/lsawade/database_depth_hypo_damping_2/


CMTDIR=${INVDIR}/cmtsolutions
GRADDIR=${INVDIR}/gradients

if [ ! -d ${GRADDIR} ]
then
    echo making $GRADDIR
    mkdir $GRADDIR
fi

N=$(ls $CMTDIR | wc -l)
counter=1
for CMT in $(ls $CMTDIR)
do
    counter=$(($counter+1))
    percent=$(printf "%3s" $((100*counter/N)))
    echo -ne "${percent}% ${CMT}                   \r"
    LOG=${DATABASE}/${CMT::-7}/${CMT::-7}.log
    GRAD=${GRADDIR}/${CMT::-7}.txt

    # Grabs Gradients from file
    # echo $LOG "-->" $GRAD
    cat $LOG | grep -A5 Raw | head -6 | grep -A1 "G: (" | xargs | cut -d "[" -f 4 | cut -d "]" -f 1 > $GRAD

done

