#!/bin/bash

INVDIR=/ccs/home/lsawade/SI_depth_final
DATABASE=/gpfs/alpine/geo111/scratch/lsawade/database_depth_hypo_damping_2


CMTDIR=${INVDIR}/cmtsolutions
HESSDIR=${INVDIR}/hessians

if [ ! -d ${HESSDIR} ]
then
    echo making $HESSDIR
    mkdir $HESSDIR
fi

N=$(ls $CMTDIR | wc -l)
counter=1
for CMT in $(ls $CMTDIR)
do
    counter=$(($counter+1))
    percent=$(printf "%3s" $((100*counter/N)))
    echo -ne "${percent}% ${CMT}                   \r"
    LOG=${DATABASE}/${CMT::-7}/${CMT::-7}.log
    HESS=${HESSDIR}/${CMT::-7}.txt

    # Grabs Hessian from file
    # echo $LOG "-->" $HESS
    cat $LOG | grep -A5 Raw | head -6 | grep -A1 "H (" | xargs | cut -d "[" -f 4 | cut -d "]" -f 1 > $HESS

done
