#!/bin/bash

INVDIR=/ccs/home/lsawade/SI_mt_si_final
DATABASE=/gpfs/alpine/geo111/scratch/lsawade/testdatabase_mt_si_hypo_damping_2/


CMTDIR=${INVDIR}/cmtsolutions
HESSDIR=${INVDIR}/hessians

if [ ! -d ${HESSDIR} ]
then
    echo making $HESSDIR
    mkdir $HESSDIR
fi

N=$(ls $CMTDIR | wc -l)
counter=1
for CMT in $(ls $CMTDIR)
do
    counter=$(($counter+1))
    percent=$(printf "%3s" $((100*counter/N)))
    echo -ne "${percent}% ${CMT}                   \r"
    LOG=${DATABASE}/${CMT}/${CMT}.log
    HESS=${HESSDIR}/${CMT}.txt

    # Grabs Hessian from file
    # echo $LOG "-->" $HESS
    cat $LOG | grep -A 32 Raw | head -32 | grep -A 25 "H (" | xargs | cut -d "[" -f 4 | cut -d "]" -f 1 > $HESS

done

