#! /bin/bash
#SBATCH -N 1
#SBATCH -t 02:00:00
#SBATCH -A GEO111
#SBATCH --output=output.fix_eventwise

limit_jobs()
{
   while true; do
      if [ "$(jobs -p | wc -l)" -lt "$1" ]; then break; fi
      sleep 0.1 # Sleep for half a second
   done
}

# just in case
ulimit -s unlimited

# load things
module purge
module load emacs python/3.7-anaconda3
. /sw/andes/python/3.7/anaconda-base/etc/profile.d/conda.sh

conda activate lwsspy_andes

# Set variables
if false; then
    LABEL=gcmt3d
    INVDATABASE=/gpfs/alpine/geo111/scratch/lsawade/testdatabase_mt_si_hypo_damping_2
    LOGDIR=/gpfs/alpine/geo111/scratch/lsawade/logs_fix
else
    LABEL=gcmt3d+
    INVDATABASE=/gpfs/alpine/geo111/scratch/lsawade/database_depth_hypo_damping_2
    LOGDIR=/gpfs/alpine/geo111/scratch/lsawade/logs_fix_depth
fi

# Get files
cmtdirs=$(for file in $(ls $INVDATABASE/*/*_$LABEL); do echo $(dirname $file); done)

for cmt in $cmtdirs
do
    echo "Submitting $(basename $cmt)"

    srun --exclusive -n 1 gcmt3d-fix-dlna-event $cmt -l $LABEL > $LOGDIR/$(basename $cmt).log &
    # gcmt3d-fix-dlna-event $cmt -l $LABEL > $LOGDIR/$(basename $cmt).log &

    pids+=("$!")
    cmts+=("$(basename $cmt)")

    limit_jobs 16

done


for i in ${!pids[@]}; do

    if wait ${pids[$i]}; then

	echo ${cmts[$i]} SUCCESS

    else

	echo ${cmts[$i]} FAIL

    fi

done
